"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
/**
 * Load configuration settings from environment variables.
 *
 * @param prefix the prefix to use when looking up environment variables
 */
function loadFromEnv(prefix) {
    const settings = {};
    for (const key of Object.keys(process.env)) {
        if (key.startsWith(prefix)) {
            if (process.env[key]) {
                const resolvedKey = key.slice(prefix.length).replace(/__/g, '.');
                (0, lodash_1.set)(settings, resolvedKey, process.env[key]);
            }
        }
    }
    return settings;
}
exports.default = loadFromEnv;
//# sourceMappingURL=loadFromEnv.js.map